GarbageCollectorMXBean (Java SE 26 & JDK 26)
Description: declaration: module: jdk.management, package: com.sun.management, interface: GarbageCollectorMXBean
Keywords: com.sun.management.GarbageCollectorMXBean interface

# Interface GarbageCollectorMXBean

All Superinterfaces:
  `GarbageCollectorMXBean, MemoryManagerMXBean, PlatformManagedObject`

public interface GarbageCollectorMXBean extends GarbageCollectorMXBean
Platform-specific management interface for a garbage collector which performs collections in cycles.

This platform extension is only available to the garbage collection implementation that supports this extension.

Since:
  1.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GcInfo`
  `getLastGcInfo()`
  Returns the GC information about the most recent GC.

  ### Methods declared in interface GarbageCollectorMXBean

  `getCollectionCount, getCollectionTime`
  Modifier and Type
  Method
  Description
  `long`
  `getCollectionCount()`
  Returns the total number of collections that have occurred.
  `long`
  `getCollectionTime()`
  Returns the approximate accumulated collection elapsed time in milliseconds.

  ### Methods declared in interface MemoryManagerMXBean

  `getMemoryPoolNames, getName, isValid`
  Modifier and Type
  Method
  Description
  `String[]`
  `getMemoryPoolNames()`
  Returns the name of memory pools that this memory manager manages.
  `String`
  `getName()`
  Returns the name representing this memory manager.
  `boolean`
  `isValid()`
  Tests if this memory manager is valid in the Java virtual machine.

  ### Methods declared in interface PlatformManagedObject

  `getObjectName`
  Modifier and Type
  Method
  Description
  `ObjectName`
  `getObjectName()`
  Returns an `ObjectName` instance representing the object name of this platform managed object.

- ## Method Details

  - ### getLastGcInfo

    GcInfo getLastGcInfo()
    Returns the GC information about the most recent GC. This method returns a `GcInfo`. If no GC information is available, `null` is returned. The collector-specific attributes, if any, can be obtained via the `CompositeData` interface.

    MBeanServer access: The mapped type of `GcInfo` is `CompositeData` with attributes specified in `GcInfo`.

    Returns:
      a `GcInfo` object representing the most GC information; or `null` if no GC information available.